<?php
/* 
  $Id: cms_images.php,v 1.1 2008/03/05 15:48:49 tiger Exp $ 
 
  Open Source E-Commerce Solutions 
  http://www.oscommerce.com 
 
  Copyright (c) 2002 osCommerce.com 
 
  Released under the GNU General Public License 
  update for OSCommerce 2.3 by Sarvjeet Singh email: sarvjeetsabherwal@gmail.com
*/

  require('includes/application_top.php');

  $action = (isset($HTTP_GET_VARS['action']) ? $HTTP_GET_VARS['action'] : '');

  if (tep_not_null($action)) {
    switch ($action) {
      case 'insert':
      case 'save':
        if (isset($HTTP_GET_VARS['iID'])) $content_images_id = tep_db_prepare_input($HTTP_GET_VARS['iID']);
        $content_images_name = tep_db_prepare_input($HTTP_POST_VARS['content_images_name']);

        $sql_data_array = array('content_images_name' => $content_images_name);

        if ($action == 'insert') {
          $insert_sql_data = array('date_added' => 'now()');

          $sql_data_array = array_merge($sql_data_array, $insert_sql_data);

          tep_db_perform(TABLE_CONTENT_IMAGES, $sql_data_array);
          $content_images_id = tep_db_insert_id();
        } elseif ($action == 'save') {
          $update_sql_data = array('last_modified' => 'now()');

          $sql_data_array = array_merge($sql_data_array, $update_sql_data);

          tep_db_perform(TABLE_CONTENT_IMAGES, $sql_data_array, 'update', "content_images_id = '" . (int)$content_images_id . "'");

        }

        $ext = substr($HTTP_POST_FILES['content_images_image']['name'], strrpos($HTTP_POST_FILES['content_images_image']['name'], '.')+1);
        $content_images_image = new upload('content_images_image');
        $content_images_image->set_destination(DIR_FS_CATALOG_CMS_IMAGES);
	$content_images_image->set_extensions(array('jpg', 'jpeg', 'gif', 'png'));
        $content_images_image->parse();
        $content_images_image->set_filename((int)$content_images_id . "." . $ext);
        if ($content_images_image->save()){
		tep_db_query("update " . TABLE_CONTENT_IMAGES . " set content_images_image = '" . $content_images_image->filename . "' where content_images_id = '" . (int)$content_images_id . "'");
	}


        if (USE_CACHE == 'true') {
          tep_reset_cache_block('content_images');
        }

        tep_redirect(tep_href_link(FILENAME_CMS_IMAGES, (isset($HTTP_GET_VARS['page']) ? 'page=' . $HTTP_GET_VARS['page'] . '&' : '') . 'iID=' . $content_images_id));
        break;
      case 'deleteconfirm':
        $content_images_id = tep_db_prepare_input($HTTP_GET_VARS['iID']);

        if (isset($HTTP_POST_VARS['delete_image']) && ($HTTP_POST_VARS['delete_image'] == 'on')) {
          $content_image_query = tep_db_query("select content_images_image from " . TABLE_CONTENT_IMAGES . " where content_images_id = '" . (int)$content_images_id . "'");
          $content_image = tep_db_fetch_array($content_image_query);

          $image_location = DIR_FS_CATALOG_CMS_IMAGES . $content_image['content_images_image'];

          if (file_exists($image_location)) @unlink($image_location);
        }

        tep_db_query("delete from " . TABLE_CONTENT_IMAGES . " where content_images_id = '" . (int)$content_images_id . "'");


        if (USE_CACHE == 'true') {
          tep_reset_cache_block('content_images');
        }

        tep_redirect(tep_href_link(FILENAME_CMS_IMAGES, 'page=' . $HTTP_GET_VARS['page']));
        break;
    }
  }
require(DIR_WS_INCLUDES . 'template_top.php');
?>

<table border="0" width="100%" cellspacing="0" cellpadding="2">
  <tr>
    <td width="100%" valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="2">
      <tr>
        <td width="100%"><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td class="pageHeading"><?php echo HEADING_TITLE; ?></td>
            <td class="pageHeading" align="right"><?php echo tep_draw_separator('pixel_trans.gif', HEADING_IMAGE_WIDTH, HEADING_IMAGE_HEIGHT); ?></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="2">
              <tr class="dataTableHeadingRow">
                <td class="dataTableHeadingContent"><?php echo TABLE_HEADING_CONTENT_IMAGES; ?></td>
                <td class="dataTableHeadingContent" align="right"><?php echo TABLE_HEADING_ACTION; ?>&nbsp;</td>
              </tr>
<?php
  $content_images_query_raw = "select content_images_id, content_images_name, content_images_image, date_added, last_modified from " . TABLE_CONTENT_IMAGES . " order by content_images_name";
  $content_images_split = new splitPageResults($HTTP_GET_VARS['page'], MAX_DISPLAY_SEARCH_RESULTS, $content_images_query_raw, $content_images_query_numrows);
  $content_images_query = tep_db_query($content_images_query_raw);
  while ($content_images = tep_db_fetch_array($content_images_query)) {
    if ((!isset($HTTP_GET_VARS['iID']) || (isset($HTTP_GET_VARS['iID']) && ($HTTP_GET_VARS['iID'] == $content_images['content_images_id']))) && !isset($iInfo) && (substr($action, 0, 3) != 'new')) {
//       $content_image_products_query = tep_db_query("select count(*) as products_count from " . TABLE_PRODUCTS . " where content_images_id = '" . (int)$content_images['content_images_id'] . "'");
//       $content_image_products = tep_db_fetch_array($content_image_products_query);

      $iInfo_array = array_merge($content_images/*, $content_image_products*/);
      $iInfo = new objectInfo($iInfo_array);
    }

    if (isset($iInfo) && is_object($iInfo) && ($content_images['content_images_id'] == $iInfo->content_images_id)) {
      echo '              <tr id="defaultSelected" class="dataTableRowSelected" onmouseover="rowOverEffect(this)" onmouseout="rowOutEffect(this)" onclick="document.location.href=\'' . tep_href_link(FILENAME_CMS_IMAGES, 'page=' . $HTTP_GET_VARS['page'] . '&iID=' . $content_images['content_images_id'] . '&action=edit') . '\'">' . "\n";
    } else {
      echo '              <tr class="dataTableRow" onmouseover="rowOverEffect(this)" onmouseout="rowOutEffect(this)" onclick="document.location.href=\'' . tep_href_link(FILENAME_CMS_IMAGES, 'page=' . $HTTP_GET_VARS['page'] . '&iID=' . $content_images['content_images_id']) . '\'">' . "\n";
    }
?>
                <td class="dataTableContent"><?php echo $content_images['content_images_name']; ?></td>
                <td class="dataTableContent" align="right"><?php if (isset($iInfo) && is_object($iInfo) && ($content_images['content_images_id'] == $iInfo->content_images_id)) { echo tep_image(DIR_WS_IMAGES . 'icon_arrow_right.gif'); } else { echo '<a href="' . tep_href_link(FILENAME_CMS_IMAGES, 'page=' . $HTTP_GET_VARS['page'] . '&iID=' . $content_images['content_images_id']) . '">' . tep_image(DIR_WS_IMAGES . 'icon_info.gif', IMAGE_ICON_INFO) . '</a>'; } ?>&nbsp;</td>
              </tr>
<?php
  }
?>
              <tr>
                <td colspan="2"><table border="0" width="100%" cellspacing="0" cellpadding="2">
                  <tr>
                    <td class="smallText" valign="top"><?php echo $content_images_split->display_count($content_images_query_numrows, MAX_DISPLAY_SEARCH_RESULTS, $HTTP_GET_VARS['page'], TEXT_DISPLAY_NUMBER_OF_CONTENT_IMAGES); ?></td>
                    <td class="smallText" align="right"><?php echo $content_images_split->display_links($content_images_query_numrows, MAX_DISPLAY_SEARCH_RESULTS, MAX_DISPLAY_PAGE_LINKS, $HTTP_GET_VARS['page']); ?></td>
                  </tr>
                </table></td>
              </tr>
<?php
  if (empty($action)) {
?>
              <tr>
                <td align="right" colspan="2" class="smallText"><?php echo '<a href="' . tep_href_link(FILENAME_CMS_IMAGES, 'page=' . $HTTP_GET_VARS['page'] . '&iID=' . $iInfo->content_images_id . '&action=new') . '">' . tep_image_button('button_insert.gif', IMAGE_INSERT) . '</a>'; ?></td>
              </tr>
<?php
  }
?>
            </table></td>
<?php
  $heading = array();
  $contents = array();

  switch ($action) {
    case 'new':
      $heading[] = array('text' => '<b>' . TEXT_HEADING_NEW_CONTENT_IMAGE . '</b>');
      $contents = array('form' => tep_draw_form('content_images', FILENAME_CMS_IMAGES, 'action=insert', 'post', 'enctype="multipart/form-data"'));
      $contents[] = array('text' => TEXT_NEW_INTRO);
      $contents[] = array('text' => '<br>' . TEXT_CONTENT_IMAGES_NAME . '<br>' . tep_draw_input_field('content_images_name'));
      $contents[] = array('text' => '<br>' . TEXT_CONTENT_IMAGES_IMAGE . '<br>' . tep_draw_file_field('content_images_image'));
      $contents[] = array('align' => 'center', 'text' => '<br>' . tep_image_submit('button_save.gif', IMAGE_SAVE) . ' <a href="' . tep_href_link(FILENAME_CMS_IMAGES, 'page=' . $HTTP_GET_VARS['page'] . '&iID=' . $HTTP_GET_VARS['iID']) . '">' . tep_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
      break;
    case 'edit':
      $heading[] = array('text' => '<b>' . TEXT_HEADING_EDIT_CONTENT_IMAGE . '</b>');
      $contents = array('form' => tep_draw_form('content_images', FILENAME_CMS_IMAGES, 'page=' . $HTTP_GET_VARS['page'] . '&iID=' . $iInfo->content_images_id . '&action=save', 'post', 'enctype="multipart/form-data"'));
      $contents[] = array('text' => TEXT_EDIT_INTRO);
      $contents[] = array('text' => '<br>' . TEXT_CONTENT_IMAGES_NAME . '<br>' . tep_draw_input_field('content_images_name', $iInfo->content_images_name));
      $contents[] = array('text' => '<br>' . TEXT_CONTENT_IMAGES_IMAGE . '<br>' . tep_draw_file_field('content_images_image') . '<br>' . $iInfo->content_images_image);
      $contents[] = array('align' => 'center', 'text' => '<br>' . tep_image_submit('button_save.gif', IMAGE_SAVE) . ' <a href="' . tep_href_link(FILENAME_CMS_IMAGES, 'page=' . $HTTP_GET_VARS['page'] . '&iID=' . $iInfo->content_images_id) . '">' . tep_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
      break;
    case 'delete':
      $heading[] = array('text' => '<b>' . TEXT_HEADING_DELETE_CONTENT_IMAGE . '</b>');
      $contents = array('form' => tep_draw_form('content_images', FILENAME_CMS_IMAGES, 'page=' . $HTTP_GET_VARS['page'] . '&iID=' . $iInfo->content_images_id . '&action=deleteconfirm'));
      $contents[] = array('text' => TEXT_DELETE_INTRO);
      $contents[] = array('text' => '<br><b>' . $iInfo->content_images_name . '</b>');
      $contents[] = array('text' => '<br>' . tep_draw_checkbox_field('delete_image', '', true) . ' ' . TEXT_DELETE_IMAGE);
      $contents[] = array('align' => 'center', 'text' => '<br>' . tep_image_submit('button_delete.gif', IMAGE_DELETE) . ' <a href="' . tep_href_link(FILENAME_CMS_IMAGES, 'page=' . $HTTP_GET_VARS['page'] . '&iID=' . $iInfo->content_images_id) . '">' . tep_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
      break;
    default:
      if (isset($iInfo) && is_object($iInfo)) {
        $heading[] = array('text' => '<b>' . $iInfo->content_images_name . '</b>');
        $contents[] = array('align' => 'center', 'text' => '<a href="' . tep_href_link(FILENAME_CMS_IMAGES, 'page=' . $HTTP_GET_VARS['page'] . '&iID=' . $iInfo->content_images_id . '&action=edit') . '">' . tep_image_button('button_edit.gif', IMAGE_EDIT) . '</a> <a href="' . tep_href_link(FILENAME_CMS_IMAGES, 'page=' . $HTTP_GET_VARS['page'] . '&iID=' . $iInfo->content_images_id . '&action=delete') . '">' . tep_image_button('button_delete.gif', IMAGE_DELETE) . '</a>');
        $contents[] = array('text' => '<br>' . TEXT_DATE_ADDED . ' ' . tep_date_short($iInfo->date_added));
        if (tep_not_null($iInfo->last_modified)) $contents[] = array('text' => TEXT_LAST_MODIFIED . ' ' . tep_date_short($iInfo->last_modified));
        $contents[] = array('text' => '<br>' . tep_info_cms_image($iInfo->content_images_image, $iInfo->content_images_name));
      }
      break;
  }

  if ( (tep_not_null($heading)) && (tep_not_null($contents)) ) {
    echo '            <td width="25%" valign="top">' . "\n";

    $box = new box;
    echo $box->infoBox($heading, $contents);

    echo '            </td>' . "\n";
  }
?>
          </tr>
        </table></td>
      </tr>
    </table></td>
<!-- body_text_eof //-->
  </tr>
</table>
<?php require(DIR_WS_INCLUDES . 'template_bottom.php'); ?>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>
