-- phpMyAdmin SQL Dump
-- version 2.6.0-beta1
-- http://www.phpmyadmin.net
-- 
-- Host: localhost
-- Generation Time: Aug 24, 2005 at 02:21 PM
-- Server version: 3.23.58
-- PHP Version: 4.3.11
-- 
-- Database: `os`
-- 

-- changes to this file by itx freddy 20080305:
-- added new field `content_status` to the `content` table
-- added new field `content_title` to the `content_description` table
-- removed references to TYPE=MyISAM in all the create table instructions

-- --------------------------------------------------------

-- 
-- Table structure for table `content`
-- 

CREATE TABLE `content` (
  `content_id` int(10) unsigned NOT NULL auto_increment,
  `content_name` varchar(50) NOT NULL default '',
  `date_added` datetime default NULL,
  `last_modified` datetime default NULL,
  `content_status` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`content_id`),
  KEY `content_name` (`content_name`)
) COMMENT='Content management primary table' AUTO_INCREMENT=2 ;

-- 
-- Dumping data for table `content`
-- 

INSERT INTO `content` VALUES (1, 'IndexPageMainText', '2005-08-23 00:00:00', '2005-08-24 14:17:23',1);

-- --------------------------------------------------------

-- 
-- Table structure for table `content_description`
-- 

CREATE TABLE `content_description` (
  `content_id` int(10) unsigned NOT NULL default '0',
  `content_title` varchar(128) NOT NULL default '',
  `content_text` text NOT NULL,
  `language_id` int(11) NOT NULL default '0'
);

-- 
-- Dumping data for table `content_description`
-- 

INSERT INTO `content_description` VALUES (1, 'test','', 2);
INSERT INTO `content_description` VALUES (1, 'test', '<table width="100%"><tr><td>{DellTitle}</td><td align="right">{DellLogo}</td></tr><tr><td valign="top" align="center">{DellLaptop}</td><td>\r\n<b>IDEAL FEATURES & MOBILITY</b>\r\n\r\n<li>Strike ZoneTM  shock absorber helps protect the hard drive - and your data - from the rough reality of mobility, whether the system is on or off </li>\r\n<li>Tough Tri-MetalTM  Chassis - the strength of magnesium, aluminum and steel in a lightweight package that delivers enhanced rigidity and protection for sensitive internal components</li>\r\n<li>Dell''s ExpressChargeTM  technology optimizes battery charge time, allowing you to recharge batteries in about an hour </li>\r\n<li>Undock & GoTM  provides a seamless transition to wireless networking and productivity with just one click of the conveniently placed undock request button, via your D/Port Advanced Port Replicator, D/Dock Expansion Station or D-Family Monitor Stand </li>\r\n<li>Integrated Smart Card Reader with TPM Security Chip for creating and storing onboard encryption keys</li>\r\n<li>D-Family commonality. Common docking, batteries, AC adapters and media modules provide great flexibility while minimizing costs</li>\r\n\r\n<small><b>Dell recommends Microsoft® Windows®  XP Professional but Linux is much better.</b></small>\r\n</td></tr></table>', 1);
INSERT INTO `content_description` VALUES (1, 'test', '', 3);

-- --------------------------------------------------------

-- 
-- Table structure for table `content_images`
-- 

CREATE TABLE `content_images` (
  `content_images_id` int(11) NOT NULL auto_increment,
  `content_images_name` varchar(32) NOT NULL default '',
  `content_images_image` varchar(64) default NULL,
  `date_added` datetime default NULL,
  `last_modified` datetime default NULL,
  PRIMARY KEY  (`content_images_id`),
  KEY `IDX_MANUFACTURERS_NAME` (`content_images_name`)
) AUTO_INCREMENT=4 ;

-- 
-- Dumping data for table `content_images`
-- 

INSERT INTO `content_images` VALUES (1, 'DellTitle', '1.gif', '2005-08-23 18:16:48', '2005-08-23 18:18:56');
INSERT INTO `content_images` VALUES (2, 'DellLogo', '2.gif', '2005-08-23 18:19:16', NULL);
INSERT INTO `content_images` VALUES (3, 'DellLaptop', '3.jpg', '2005-08-23 18:19:35', NULL);
