<?php
/* 
  $Id: cms_help.php,v 1.1 2008/03/05 15:49:18 tiger Exp $ 
 
  Open Source E-Commerce Solutions 
  http://www.oscommerce.com 
 
  Copyright (c) 2002 osCommerce.com 
 
  Released under the GNU General Public License 
*/


define('HEADING_TITLE', 'CMS Help');

define('TEXT_HELP', "
<pre>
<tt>
&nbsp;&nbsp;<b>T</b>o add content to you side follow these steps below,
<ol>
<li> Add content item in &quot;Content management&quot; area.</li>
<li> Add tep_get_cms_content function to a php source file you want to add
text content. For example,

<small>&lt;?php echo tep_get_cms_content('IndexPageMainText');?&gt;</small>

insteed of 

<small>&lt;?php echo TEXT_MAIN; ?&gt;</small>

in index.php file, where <i>IndexPageMainText</i> is the name of content item
defined in &quot;Content management&quot; area

or 

modify language index.php file and replace TEXT_MAIN text with
tep_get_cms_content function

<small>define('TEXT_MAIN',tep_get_cms_content('IndexPageMainText'));</small>

or 

To create dynamically linkable CMS content using http://www.yoursite.com/index.php&content=anyContentPage do:
<small>
&lt;?php
    if (isset(\$HTTP_GET_VARS['content'])) {
      echo tep_get_cms_content(\$HTTP_GET_VARS['content']);
    } else {
      echo tep_get_cms_content('IndexPageMainText');
    };
?&gt;
</small>
</li> 
<li> Add tep_get_cms_title function to a php source file you want to add
the title corresponding to the content. For example,

<small>&lt;?php echo tep_get_cms_title('IndexPageMainText');?&gt;</small>
</li> 
</ol>

&nbsp;&nbsp;<b>T</b>o add images to your text content follow these steps
<ol>
<li> Add image item in &quot;Images management&quot; area</li>
<li> Add images name to a text of content with '{' '}' symbols. For example,

<small>You can see this picture as an example {ImageName}</small>

where <i>ImageName</i> is the name of added image.

</li>
</ol>

</tt>
</pre>");


?>
